Module com.io7m.jtensors.core
Package com.io7m.jtensors.core.unparameterized.matrices

## Class Matrix2x2D

- java.lang.Object
- - com.io7m.jtensors.core.unparameterized.matrices.Matrix2x2D

- All Implemented Interfaces:
    `MatrixComputationalType`, `Matrix2x2DType`, `MatrixReadable2x2DType`, `MatrixReadableDType`

      public final class Matrix2x2D
      extends Object
      implements Matrix2x2DType

  The type of 2x2 `double`-typed matrices.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Matrix2x2D.Builder` | Builds instances of type `Matrix2x2D`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Matrix2x2D.Builder` | `builder​()` | Creates a builder for `Matrix2x2D`.
    `boolean` | `equals​(Object another)` | This instance is equal to all instances of `Matrix2x2D` that have equal attribute values.
    `int` | `hashCode​()` | Computes a hash code from attributes: `r0c0`, `r0c1`, `r1c0`, `r1c1`.
    `static Matrix2x2D` | `of​(double r0c0, double r0c1, double r1c0, double r1c1)` | Construct a new immutable `Matrix2x2D` instance.
    `double` | `r0c0​()` |
    `double` | `r0c1​()` |
    `double` | `r1c0​()` |
    `double` | `r1c1​()` |
    `String` | `toString​()` | Prints the immutable value `Matrix2x2D` with attribute values.

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.matrices.MatrixReadable2x2DType

      `rowColumn`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### r0c0

          public double r0c0​()

      Specified by:
        `r0c0` in interface `Matrix2x2DType`
      Specified by:
        `r0c0` in interface `MatrixReadable2x2DType`
      Returns:
        The value at row 0 column 0

    - #### r0c1

          public double r0c1​()

      Specified by:
        `r0c1` in interface `Matrix2x2DType`
      Specified by:
        `r0c1` in interface `MatrixReadable2x2DType`
      Returns:
        The value at row 0 column 1

    - #### r1c0

          public double r1c0​()

      Specified by:
        `r1c0` in interface `Matrix2x2DType`
      Specified by:
        `r1c0` in interface `MatrixReadable2x2DType`
      Returns:
        The value at row 1 column 0

    - #### r1c1

          public double r1c1​()

      Specified by:
        `r1c1` in interface `Matrix2x2DType`
      Specified by:
        `r1c1` in interface `MatrixReadable2x2DType`
      Returns:
        The value at row 1 column 1

    - #### equals

          public boolean equals​(Object another)

      This instance is equal to all instances of `Matrix2x2D` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode​()

      Computes a hash code from attributes: `r0c0`, `r0c1`, `r1c0`, `r1c1`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString​()

      Prints the immutable value `Matrix2x2D` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static Matrix2x2D of​(double r0c0,
                                      double r0c1,
                                      double r1c0,
                                      double r1c1)

      Construct a new immutable `Matrix2x2D` instance.
      Parameters:
        `r0c0` - The value for the `r0c0` attribute
        `r0c1` - The value for the `r0c1` attribute
        `r1c0` - The value for the `r1c0` attribute
        `r1c1` - The value for the `r1c1` attribute
      Returns:
        An immutable Matrix2x2D instance

    - #### builder

          public static Matrix2x2D.Builder builder​()

      Creates a builder for `Matrix2x2D`.
      Returns:
        A new Matrix2x2D builder

Copyright © 2017 <code@io7m.com> http://io7m.com